import { TypeZ1dict } from '@/pages/Z_system/Z1dict/type'

// 级联的第二级数据平铺
export const cascaderArr = (arr: TypeZ1dict[]) => {
  let obj: any = {}
  arr.forEach(v1 => {
    v1.children?.forEach(v2 => {
      obj[v2.name] = v2.children
    })
  })
  return obj
}
